<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			felipe.cadena
@cu 				CU-SA-AC-108 Consultar informes de control de calidad realizados

@ManagedBean        ConsultaRevisionesControlCalidadMB
-->

<h:form id="consultarRevisionesForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">


    <p:spacer height="5" width="0" />

    <p:fieldset>

        <legend>
            <h:outputText value="Información del avalúo" styleClass="legendTitle" />
        </legend>


        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Sec. radicado: " styleClass="outputLabelStyle" />
            <p:commandLink id="solicitudLink-2"
                           styleClass="commandLinkStyle"
                           onstart="statusDialog2.show();"
                           update=":isCC:infoSolicitudTV"
                           oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                           value="#{consultaRevisionesControlCalidad.avaluo.secRadicado}"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}">
                <f:setPropertyActionListener value="#{consultaRevisionesControlCalidad.avaluo.secRadicado}"
                                             target="#{consultaInformacionSolicitud.numeroSecRadicado}"/>

            </p:commandLink>

            <h:outputLabel value="Nombre avaluador: " styleClass="outputLabelStyle" />


            <p:commandLink rendered="#{consultaRevisionesControlCalidad.avaluo.tieneMultiplesAvaluadores}"
                           id="infoAvaluadoresLink"
                           styleClass="commandLinkStyle"
                           value="#{consultaRevisionesControlCalidad.avaluo.avaluadores[0].nombreCompleto}"
                           action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                           update=":consultarAvaluadoresAsignadosPG"
                           onstart="statusDialog2.show();"
                           oncomplete="infoAvaluadoresAsignadosWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener value="#{consultaRevisionesControlCalidad.avaluo.secRadicado}"
                                             target="#{consultarAvaluadoresAsignados.secRadicado}" />
            </p:commandLink>

            <h:outputText
                rendered="#{!consultaRevisionesControlCalidad.avaluo.tieneMultiplesAvaluadores}"
                styleClass="outputTextStyle"
                value="#{consultaRevisionesControlCalidad.avaluo.avaluadores[0].nombreCompleto}" />

            <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" />

            <p:commandLink rendered="#{consultaRevisionesControlCalidad.avaluo.tienePrediosEnDiferentesDeptos}"
                           id="infoDeptosLink"
                           styleClass="commandLinkStyle"
                           value="#{consultaRevisionesControlCalidad.avaluo.avaluoPredios[0].departamento.nombre}"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener
                    value="#{consultaRevisionesControlCalidad.avaluo}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>
            <h:outputText rendered="#{!consultaRevisionesControlCalidad.avaluo.tienePrediosEnDiferentesDeptos}"
                          styleClass="outputTextStyle"
                          value="#{consultaRevisionesControlCalidad.avaluo.avaluoPredios[0].departamento.nombre}"/>

            <h:outputLabel value="Solicitante: " styleClass="outputLabelStyle" />

            <h:outputText styleClass="outputTextStyle"           
                          value="#{consultaRevisionesControlCalidad.avaluo.solicitante.nombreCompleto}">
            </h:outputText>

            <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />

            <p:commandLink rendered="#{consultaRevisionesControlCalidad.avaluo.tienePrediosEnDiferentesMunicipios}"
                           id="infoMunicipiosLink"
                           styleClass="commandLinkStyle"
                           value="#{consultaRevisionesControlCalidad.avaluo.avaluoPredios[0].municipio.nombre}"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener
                    value="#{consultaRevisionesControlCalidad.avaluo}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>

            <h:outputText rendered="#{!consultaRevisionesControlCalidad.avaluo.tienePrediosEnDiferentesMunicipios}"
                          styleClass="outputTextStyle"
                          value="#{consultaRevisionesControlCalidad.avaluo.avaluoPredios[0].municipio.nombre}"/>

            <h:outputLabel value="Profesional control de calidad:" styleClass="outputLabelStyle" />

            <h:outputText             
                value="#{consultaRevisionesControlCalidad.controlCalidadSeleccionado.profesionalAvaluos.nombreCompleto}" 
                styleClass="outputTextStyle">
            </h:outputText>


            <h:outputLabel value="Tipo trámite:" styleClass="outputLabelStyle" />

            <h:outputText             
                value="#{consultaRevisionesControlCalidad.avaluo.tramite.tipoTramite}" 
                styleClass="outputTextStyle"
                id="AvaluosComercialesTipoTramite">
                <f:converter converterId="converterCB"
                             for="AvaluosComercialesTipoTramite"/>
            </h:outputText>



            <h:outputLabel value="Tipo avalúo: " styleClass="outputLabelStyle" />

            <h:outputText id="AvaluoTipoAvaluoV" styleClass="outputTextStyle"          
                          value="#{consultaRevisionesControlCalidad.avaluo.tipoAvaluo}">
                <f:converter converterId="converterCB"
                             for="AvaluoTipoAvaluoV"/>
            </h:outputText>
            <h:outputLabel value="Territorial donde se realizó el control de calidad :" styleClass="outputLabelStyle" />

            <h:outputText             
                value="#{consultaRevisionesControlCalidad.controlCalidadSeleccionado.territorialCodigo}" 
                styleClass="outputTextStyle"
                id="TerritorialesConDireccionGeneralCV-1">
                <f:converter converterId="converterCB"
                             for="TerritorialesConDireccionGeneralCV-1"/>
            </h:outputText>

            <p:commandLink id="infoPredialLink"
                           styleClass="commandLinkStyle"
                           value="Información predial"
                           action="#{consultaInformacionPredial.cargarInformacionPredial}"
                           update=":pdsDialog"
                           onstart="statusDialog2.show();"
                           oncomplete="statusDialog2.hide(); infoPredialWV.show();">
                <f:setPropertyActionListener value="#{consultaRevisionesControlCalidad.avaluo}"
                                             target="#{consultaInformacionPredial.avaluoSeleccionado}" />
            </p:commandLink>
            <h:outputText value="" />



        </h:panelGrid>

        <p:separator />

        <legend>
            <h:outputText value="Revisiones asociadas al control de calidad"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="1" cellspacing="7" width="100%">

            <p:dataTable id="revisionesCalidadDT" 
                         value="#{consultaRevisionesControlCalidad.controlCalidadSeleccionado.controlCalidadAvaluoRevs}" 
                         var="revision"
                         rowKey="#{controlCalidad.id}" paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                         {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                         emptyMessage="No se encontraron controles de calidad asociados al avalúo">

                <f:facet name="header">
                    Revisiones
                </f:facet>

                <p:column headerText="Opciones">
                    <p:commandButton title="Ver informe control calidad"
                                     icon="ui-icon-document"
                                     action="#{consultaRevisionesControlCalidad.consultarInforme}"
                                     update=":informeControlCalidadForm" onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();informeControlCalidadWV.show()">
                        <f:setPropertyActionListener value="#{revision}"
                                                     target="#{consultaRevisionesControlCalidad.revisionSeleccionada}" />
                    </p:commandButton>
                </p:column>

                <p:column >
                    <f:facet name="header">
                        Número de revisión
                    </f:facet>
                    <h:outputText value="#{revision.numero}" />

                </p:column>
                <p:column >
                    <f:facet name="header">
                        Fecha de revisión
                    </f:facet>
                    <h:outputText value="#{revision.fecha}"/>
                </p:column>
                <p:column >
                    <f:facet name="header">
                        Tiempo plazo (Días)
                    </f:facet>
                    <h:outputText value="#{revision.plazo}"/>
                </p:column>
                <p:column >
                    <f:facet name="header">
                        Aprobado
                    </f:facet>
                    <h:outputText value="#{revision.aprobo}"/>
                </p:column>

            </p:dataTable>
        </h:panelGrid>
    </p:fieldset>
</h:form>

